#!/bin/bash

# Configure JAVA_HOME here or in your environment
# JAVA_HOME="/usr/java/latest"

trap "" SIGHUP

BASEDIR=`dirname ${0}`
cd $BASEDIR

SERVERSCRIPTNAME=`ls -1 *Server.sh | head -n 1`
BASENAME=`basename ${SERVERSCRIPTNAME} .sh`

. ./config-vars.sh

function startServer {

	SERVERSCRIPTNAME=`ls -1 *Server.sh | head -n 1`
	/bin/bash ${SERVERSCRIPTNAME} start
}

if [ x${1} != "x--" ] ; then
	echo "Daemonizing"
	${0} -- ${BASENAME} 1>`dirname ${0}`/logs/${BASENAME}.out.log 2> `dirname ${0}`/logs/${BASENAME}.err.log &
	exit 0;
fi

startServer

while [ $? -eq 128 ]; do
	startServer
done

exit 0
